### org.jfree.layouting.renderer.model

# Class SpacerRenderNode

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.RenderNode`
  - - `org.jfree.layouting.renderer.model.SpacerRenderNode`

Implemented Interfaces:
  Cloneable

Known Direct Subclasses:
  TableColumnNode

`public class SpacerRenderNode`
`extends RenderNode`

A spacer reserves space for whitespaces found in the text. When encountered at the beginning or end of lines, it gets removed.

Spacers are always considered discardable, so when encountered alone, they will get pruned.

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

  `HORIZONTAL_AXIS`, `VERTICAL_AXIS`

  ## Constructor Summary

  `SpacerRenderNode()`

  `SpacerRenderNode(long width, long height, boolean preserve)`

  ## Method Summary

  `boolean`

  `isDiscardable()`

  `boolean`

  `isEmpty()`

  `boolean`

  `isIgnorableForRendering()`
    If that method returns true, the element will not be used for rendering.

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

  `appyStyle`, `clone`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getAlignmentAdjust`, `getAlignmentAdjustResolved`, `getAlignmentBaseline`, `getBaselineShift`, `getBaselineShiftResolved`, `getChangeTracker`, `getComputedLayoutProperties`, `getDimension`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getHeight`, `getInstanceId`, `getLayoutContext`, `getLogicalPage`, `getMajorAxis`, `getMaximumBoxWidth`, `getMinimumChunkWidth`, `getMinorAxis`, `getNamespace`, `getNext`, `getNodeLayoutProperties`, `getNormalFlow`, `getPageContext`, `getParent`, `getParentBlockContext`, `getPosition`, `getPrev`, `getStickyMarker`, `getTagName`, `getVerticalAlignment`, `getVisibleNext`, `getVisiblePrev`, `getWidth`, `getX`, `getY`, `hibernate`, `isDirectionLTR`, `isDirty`, `isDiscardable`, `isEmpty`, `isFrozen`, `isHibernated`, `isIcmMetricsFinished`, `isIgnorableForRendering`, `isOpen`, `normalizeAlignment`, `setComputedLayoutProperties`, `setDimension`, `setDirty`, `setHeight`, `setHibernated`, `setIcmMetricsFinished`, `setMajorAxis`, `setMaximumBoxWidth`, `setMinimumChunkWidth`, `setMinorAxis`, `setNext`, `setParent`, `setPosition`, `setPrev`, `setStickyMarker`, `setWidth`, `setX`, `setY`, `updateChangeTracker`

## Constructor Details

### SpacerRenderNode

    public SpacerRenderNode()

### SpacerRenderNode

    public SpacerRenderNode(long width,
                            long height,
                            boolean preserve)

## Method Details

### isDiscardable

    public boolean isDiscardable()

> Overrides:
>   isDiscardable in interface RenderNode

### isEmpty

    public boolean isEmpty()

> Overrides:
>   isEmpty in interface RenderNode

### isIgnorableForRendering

    public boolean isIgnorableForRendering()

> If that method returns true, the element will not be used for rendering. For the purpose of computing sizes or performing the layouting (in the validate() step), this element will treated as if it is not there.

> If the element reports itself as non-empty, however, it will affect the margin computation.
> Overrides:
>   isIgnorableForRendering in interface RenderNode
> Returns: